Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetCommentCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Comment>
          org.jbpm.services.task.commands.GetCommentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Comment>, Command<Comment>

    public class GetCommentCommand

extends TaskCommand<Comment>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetCommentCommand()`
`GetCommentCommand(Long commentId)`

Method Summary
`Comment` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getCommentId()`
`void` | `setCommentId(Long commentId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCommentCommand

    public GetCommentCommand()

### GetCommentCommand

    public GetCommentCommand(Long commentId)

Method Detail

### getCommentId

    public Long getCommentId()

### setCommentId

    public void setCommentId(Long commentId)

### execute

    public Comment execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.